<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль seo.
 * 
 * Файл: /admin/seo/seo.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Подключаем основные классы.
require_once('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('seo');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра.
$kernel->LoadModules(!isset($_REQUEST['JsHttpRequest']));

// Распечатка отчета
if (isset($_REQUEST['form_report']))
{
	include(CMS_FOLDER . '/admin/seo/action/form_fill_blank.php');
}

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_seo']['header_admin']);
}

$admin_forms = & singleton('admin_forms');

$seo = new seo();

//Добавление/обновление характеристики
if (isset($_REQUEST['add_characteristic']) || isset($_REQUEST['save_characteristic']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		//Добавляем информацию в БД
		include(CMS_FOLDER . 'admin/seo/action/add_characteristic.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	//При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_characteristic']))
	{
		//Отображаем форму
		include(CMS_FOLDER . '/admin/seo/action/load_characteristic.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(141, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}
	echo $JsHttpRequest->LOADER;
	exit();
}

// Формирование отчета
if (isset($_REQUEST['action']) && $_REQUEST['action'] == 'report')
{
	ob_start();


	// Загружаем форму формирования отчета.
	include(CMS_FOLDER.'admin/seo/action/form_report_forming.php');


	$form_html = ob_get_clean();

	if (!isset($_REQUEST['JsHttpRequest']))
	{
		?><div id="id_content"><?php echo $form_html?></div><?php 
		
		do_html_footer_admin();
		exit();
	}
	else
	{
		$JsHttpRequest = new JsHttpRequest('UTF-8');

		$GLOBALS['_RESULT'] = array(
		'error' => '',
		'form_html' => $form_html);

		echo $JsHttpRequest->LOADER;
		exit();
	}
}

//Добавление/обновление запроса
if (isset($_REQUEST['add_query']) || isset($_REQUEST['save_query']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		//Добавляем информацию в БД
		include(CMS_FOLDER . 'admin/seo/action/add_query.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	//При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_query']))
	{
		//Отображаем форму
		include(CMS_FOLDER . '/admin/seo/action/load_manage_query.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(142, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}
	echo $JsHttpRequest->LOADER;
	exit();
}

//Добавление/обновление статистики
if (isset($_REQUEST['add_position_search']) || isset($_REQUEST['save_position_search']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		//Добавляем информацию в БД
		include(CMS_FOLDER . 'admin/seo/action/add_position_search.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	//При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_position_search']))
	{
		//Отображаем форму
		include(CMS_FOLDER . '/admin/seo/action/load_statistics.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(144, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}
	echo $JsHttpRequest->LOADER;
	exit();
}

// Отображение форм
switch (to_int($_REQUEST['admin_forms_id']))
{
	case 141:
	default:
		{
			include(CMS_FOLDER.'admin/seo/action/load_characteristic.php');
			$admin_forms->ProcessAjax(141);
			break;
		}
	case 142:
		{
			include(CMS_FOLDER.'admin/seo/action/load_manage_query.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 144:
		{
			include(CMS_FOLDER.'admin/seo/action/load_statistics.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
}

// Отображение списка IP-адресов
if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}
?>